Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Get the active camera

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/camera/active' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The active camera

Bodyapplication/json
idinteger(int32)

The database id for the setting

namestring or null

The name of the setting

displayNamestring or null

The display name

activeboolean

Whether or not it's active

Response
application/json
{ "id": 0, "name": "string", "displayName": "string", "active": true }

Change the active camera

Request

Security
Bearer
Path
idinteger(int32)required
curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/camera/active/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The active camera was set successfully

Response
No content

Starts the variation camera feed

Request

Security
Bearer
Body
integer(int32)
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/camera/start-camera-feed' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json'

Responses

The camera variation feed was started

Response
No content

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations